Bug 31716 - [UI]: Right-click for context menu causes CPU-bound hang for several seconds
Summary: [UI]: Right-click for context menu causes CPU-bound hang for several seconds
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Don't use this account, use tml@iki.fi
URL:
Whiteboard:
Keywords:
: 31739 31745 31784 31862 32412 (view as bug list)
Depends on:
Blocks: 31865
  Show dependency treegraph
 
Reported: 2010-11-18 05:21 UTC by Jean
Modified: 2011-12-23 13:23 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
possible fix (1.56 KB, patch)
2010-12-12 01:14 UTC, David Tardon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean 2010-11-18 05:21:11 UTC
Environment : LibO 3.3 beta 3 on Win7(32), 4Go Ram

When right-clicking on a Writer page, the context menu doesn't pop up immediately. It can take up to 10 seconds (!) before appearing.
The same with other components of the suite, but with a shorter waiting time.

Perhaps due to beta status of the build ?

+ tested also on WinXP, same problem.
+ On OOo_3.3_beta5, the context menu pops up instantly.
Comment 1 Don't use this account, use tml@iki.fi 2010-11-18 05:32:01 UTC
The delay is mentioned also in bug #31438. (But I can't reproduce it.)
Comment 2 Alex Thurgood 2010-11-18 06:38:37 UTC
Other people on French user list have also noticed this behaviour, with one person having to wait over 40 seconds for the menu to appear !!


Alex
Comment 3 Rainer Bielefeld Retired 2010-11-18 07:52:48 UTC
Reproducible with "LibreOffice 3.3.0Beta3 - WIN XP EN [OOO330m9 (build 3.2.99.2)]".

May be the effect only appears if several big documents are opened in time?
I also see the delay with CALC, but in WRITER waiting time is app. twice as long.
Comment 4 Jean 2010-11-18 07:57:12 UTC
(In reply to comment #3)
> Reproducible with "LibreOffice 3.3.0Beta3 - WIN XP EN [OOO330m9 (build
> 3.2.99.2)]".
> 
> May be the effect only appears if several big documents are opened in time?
> I also see the delay with CALC, but in WRITER waiting time is app. twice as
> long.

Don't think so. Happens even on a blank page, right after install. But I agree with the longer time in Writer.
Comment 5 Don't use this account, use tml@iki.fi 2010-11-18 13:03:43 UTC
*** Bug 31739 has been marked as a duplicate of this bug. ***
Comment 6 Thorsten Behrens (CIB) 2010-11-18 16:34:49 UTC
Noel, could you please look into this one?
Comment 7 Noel Power 2010-11-19 02:46:22 UTC
(In reply to comment #6)
> Noel, could you please look into this one?


I can try assuming I could reproduce this bug, however no luck reproducing this bug just now ( I am not on windows right now )

Any reports of this happening on linux at all ?

->Jean some questions,
 a) do you have any extra extensions installed ? if so does removing them help
 b) does using a fresh user configuration make any difference ? e.g. 
     i) shut down libreoffice ( making sure the quickstarter is not running etc. )
    ii) rename the LibreOffice directory in ( Documents And Settings/[username]/Application Data/LibreOffice, additionally if there is an OpenOffice directory in there you could rename that too
   iii) start libreoffice again
Comment 8 Don't use this account, use tml@iki.fi 2010-11-19 03:10:06 UTC
*** Bug 31745 has been marked as a duplicate of this bug. ***
Comment 9 Jean 2010-11-19 03:53:06 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > Noel, could you please look into this one?
> 
> 
> I can try assuming I could reproduce this bug, however no luck reproducing this
> bug just now ( I am not on windows right now )
> 
> Any reports of this happening on linux at all ?
> 
> ->Jean some questions,
>  a) do you have any extra extensions installed ? if so does removing them help
>  b) does using a fresh user configuration make any difference ? e.g. 
>      i) shut down libreoffice ( making sure the quickstarter is not running
> etc. )
>     ii) rename the LibreOffice directory in ( Documents And
> Settings/[username]/Application Data/LibreOffice, additionally if there is an
> OpenOffice directory in there you could rename that too
>    iii) start libreoffice again

Hello,

a) no extra extension
b) a fresh user configuration (I followed your steps) doesn't make any difference.

Sorry, it may not help you very much...
Comment 10 Eliot the Cougar 2010-11-19 04:06:32 UTC
Reproduced on Windows XP SP3 (x86)... Clean installation, no Openoffice installed...

When I do right-click, CPU utilization jumps to 100% (one core) for 5-10 seconds until context menu appears...

Happens in Writer, Impress, Calc, etc...
I'll try to investigate this case further this weekend...
Comment 11 Eliot the Cougar 2010-11-19 07:43:26 UTC
Not only context menu:
Navigating in the main menu is also very slow and causes 100% CPU utilization...
Moreover I'm getting "DDE Server Window: soffice.bin" error "memory address "0xffffffff" cannot be "read" every time I close the application...

The longer the list of commands in the context menu (including sub-commands) the longer it gets to open it...

NOT hardware acceleration
NOT extensions
Probably "Windows only"
Comment 12 AdamB. 2010-11-19 12:29:09 UTC
I have the same problem on my Windows XP (also SP3), but i have installed Visual Studio 2005, from MSDNA - academic education, I also use this for debug and gather information for ffmpeg2theora develop version (i like testing)...

Some information:
7C9109DE  jmp         7C910815 
7C9109E3  movzx       ecx,word ptr [esi] 
7C9109E6  add         ecx,eax 
7C9109E8  cmp         ecx,0FE00h 
7C9109EE  ja          7C910739 
7C9109F4  cmp         byte ptr [ebp+14h],0 
7C9109F8  jne         7C94B0AF 
7C9109FE  mov         al,byte ptr [esi+5] 
7C910A01  and         al,10h 
7C910A03  test        al,10h 
7C910A05  mov         byte ptr [edi+5],al 
7C910A08  jne         7C910AA0 
7C910A0E  mov         ecx,dword ptr [esi+0Ch] 
7C910A11  lea         eax,[esi+8] 
7C910A14  mov         edx,dword ptr [eax] 
7C910A16  mov         dword ptr [ebp+0Ch],ecx 
7C910A19  mov         ecx,dword ptr [ecx]                    <-In this liene we have break
7C910A1B  cmp         ecx,dword ptr [edx+4] 
7C910A1E  mov         dword ptr [ebp+14h],edx 
7C910A21  jne         7C911752 
7C910A27  cmp         ecx,eax 
7C910A29  jne         7C911752 
7C910A2F  push        esi  
7C910A30  push        ebx  
7C910A31  call        7C910684 
7C910A36  mov         eax,dword ptr [ebp+14h] 
7C910A39  mov         ecx,dword ptr [ebp+0Ch] 
7C910A3C  cmp         eax,ecx 
7C910A3E  mov         dword ptr [ecx],eax 
7C910A40  mov         dword ptr [eax+4],ecx 
7C910A43  je          7C910A7D 
7C910A45  mov         al,byte ptr [esi+5] 
7C910A48  test        al,4 

AND in start when i attach to process i get this log from start soofice -> run Writer and close writer:
______________________________________________________________________________
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\soffice.bin', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\ntdll.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\kernel32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\sal3.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\uwinapi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\user32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\gdi32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\advapi32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\rpcrt4.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\secur32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\version.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\WinSxS\x86_Microsoft.VC90.CRT_1fc8b3b9a1e18e3b_9.0.30729.4148_x-ww_d495ac4e\msvcr90.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\shlwapi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\msvcrt.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\wsock32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\ws2_32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\ws2help.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\ole32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\mpr.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\sofficeapp.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\comphelp4MSC.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\cppuhelper3MSC.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\salhelper3MSC.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\cppu3.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\stlport_vc7145.dll', Binary was not built with debug information.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\ucbhelper4MSC.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\deploymentmiscmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\libdb47.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\tlmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\basegfxmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\i18nisolang1MSC.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\shell32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\utlmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\xcrmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\sfxmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\fwemi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\fwimi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\svtmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\tkmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\vclmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\sotmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\i18npapermi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\i18nutilMSC.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\icuuc40.dll', Binary was not built with debug information.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\icudt40.dll', Binary was not built with debug information.
'soffice.bin': Loaded 'C:\WINDOWS\WinSxS\x86_Microsoft.Windows.GdiPlus_6595b64144ccf1df_1.0.6001.22319_x-ww_f0b4c2df\GdiPlus.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\msimg32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\winspool.drv', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\imm32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\svlmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\jvmfwk3.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\libxml2.dll', Binary was not built with debug information.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\sbmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\oleaut32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\saxmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\lpk.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\usp10.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202\comctl32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\uxtheme.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\msctf.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\apphelp.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\msctfime.ime', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\psapi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\msci_uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\bootstrap.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\reg3.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\store3.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\configmgr.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\localebe1.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\stocservices.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\splmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\i18npool.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\icuin40.dll', Binary was not built with debug information.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\ucb1.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\fwkmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\ucpfile1.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\dnd.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\xpsp2res.dll', Binary was not built with debug information.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\package2.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\fsstorage.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\sax.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\svxmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\editengmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\xomi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\lngmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\svxcoremi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\avmediami.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\drawinglayermi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\canvastoolsmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\winmm.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\cppcanvasmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\oleautobridge.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\clbcatq.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\comres.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\emsermi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\uuimi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\filterconfig1.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\swmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\unoxmlmi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\localedata_euro.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\localedata_en.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\sysdtrans.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\xstor.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\reflection.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\fileacc.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\deploymentmi.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\helplinkermi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\libxslt.dll', Binary was not built with debug information.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\ucpexpand1.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\introspection.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\ftransl.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\mcnttype.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\share\extensions\presenter-screen\PresenterScreen.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\javaloader.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\jvmaccess3MSC.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\dciman32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\javavm.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\wininetbe1.uno.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\rasapi32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\rasman.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\netapi32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\tapi32.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\rtutils.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\userenv.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\msv1_0.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\cryptdll.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\WINDOWS\system32\iphlpapi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\Java\jdk1.6.0_21\jre\bin\client\jvm.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\msvcr71.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\Java\jdk1.6.0_21\jre\bin\verify.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\Java\jdk1.6.0_21\jre\bin\java.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\Java\jdk1.6.0_21\jre\bin\hpi.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\Java\jdk1.6.0_21\jre\bin\zip.dll', No symbols loaded.
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\URE\bin\java_uno.dll', No symbols loaded.
The thread 'Win32 Thread' (0x840) has exited with code 0 (0x0).
'soffice.bin': Loaded 'C:\Program Files\LibreOffice 3\program\ucpchelp1.dll', No symbols loaded.
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145eaa0..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145ea40..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145ea40..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145e9e0..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145eb90..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145eb20..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145eb20..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145eac0..
The thread 'Win32 Thread' (0xfc4) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0xc3c) has exited with code 0 (0x0).
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::datatransfer::UnsupportedFlavorException at memory location 0x0d43fd08..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::datatransfer::UnsupportedFlavorException at memory location 0x0145f6fc..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::datatransfer::UnsupportedFlavorException at memory location 0x0d43fd08..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::datatransfer::UnsupportedFlavorException at memory location 0x0145f6fc..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::beans::UnknownPropertyException at memory location 0x0145f698..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::frame::UnknownModuleException at memory location 0x0145f410..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::frame::UnknownModuleException at memory location 0x0145f634..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::frame::UnknownModuleException at memory location 0x0145f694..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::frame::UnknownModuleException at memory location 0x0145f4c8..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145efe0..
First-chance exception at 0x7c812afb in soffice.bin: Microsoft C++ exception: com::sun::star::ucb::InteractiveAugmentedIOException at memory location 0x0145efe0..
The thread 'Win32 Thread' (0x840) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0xc10) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x8e8) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0xefc) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x998) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x968) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x4d4) has exited with code 1 (0x1).
'soffice.bin': Unloaded 'C:\WINDOWS\system32\dciman32.dll'
The thread 'Win32 Thread' (0xfa8) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0xab0) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x364) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x6a4) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0xf50) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0xb94) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x348) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x8e4) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x3b0) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x1f8) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x13c) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x738) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x8ac) has exited with code 0 (0x0).
The thread 'Win32 Thread' (0x868) has exited with code 0 (0x0).
First-chance exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
Unhandled exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
First-chance exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
Unhandled exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
First-chance exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
Unhandled exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
First-chance exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
Unhandled exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
First-chance exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
Unhandled exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff.
Comment 13 GerardF 2010-11-20 05:05:18 UTC
*** Bug 31784 has been marked as a duplicate of this bug. ***
Comment 14 ericch 2010-11-21 05:39:43 UTC
Environment: LibO 3.3 beta3, WinXP Pro SP3, 2GB RAM, Celeron D 2.8GHz processor

I have also the same problem (it is even worse in beta3 compared to beta2): 100%CPU used by soffice.bin during 3 minutes and no dialog box displayed at the end.
Whenever I quit LibO, I have also the message "Unhandled exception at 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location 0xffffffff"

The only way to use BASIC text commands like copy, cut and paste, is to use shortcuts (quick) or menu (relatively slow).

Please find a solution. It is a MAJOR bug as it makes LibreOffice fast unusable to write a text and correct it. Mouse use is essential for a any textwriter. I had not this kind of problem in OpenOffice 3.2.1.
Comment 15 Rainer Bielefeld Retired 2010-11-21 07:44:19 UTC
(In reply to comment #3)
> May be the effect only appears if several big documents are opened in time?
Definitively not. I also saw it with a new LibO installation after Uninstall - delete user profile - install with a single empty new WRITER document open.
Comment 16 francesco.catani 2010-11-21 09:20:37 UTC
I had same problem using LO and WinXP.

I had great improvement removing some unused bundled extension and language.

I hope this will help.
Comment 17 ericch 2010-11-21 12:31:50 UTC
This bug is due to a problem of extensions in Windows environments (I don't have this problem under Linux Debian). Removing nearly all the extensions in LO has solved my problem. The context menu is displayed immediately.
See http://en.libreofficeforum.org/node/79

But I still have the message "Unhandled exception at
0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location
0xffffffff", whenever I quit LO.
Comment 18 TerryW 2010-11-21 13:13:02 UTC
(In reply to comment #17)
> This bug is due to a problem of extensions in Windows environments (I don't
> have this problem under Linux Debian). Removing nearly all the extensions in LO
> has solved my problem. The context menu is displayed immediately.
> See http://en.libreofficeforum.org/node/79
> 
> But I still have the message "Unhandled exception at
> 0x7c910a19 in soffice.bin: 0xC0000005: Access violation reading location
> 0xffffffff", whenever I quit LO.

This didn't work for me, as I reported on the users list. Removed all unwanted dictionaries and a couple of other extensions. Re-booted machine and restarted Beta 3. Same problem. No context menus on right click and machine stops responding. On this machine I am running Win 7 Pro dual booted with Ubuntu/Xubuntu. No problem (yet!) with the Linux version.
Comment 19 Mikeyy - L10n HR 2010-11-22 00:39:06 UTC
+1 I noticed it in Calc when right clicking on sheet name, it take as much as 2-3 seconds for menu to appear.

System in Win7 at home, clean install of LO 3.3 beta 2, then just upgrade to beta 3.
System at work XP SP3, LO 3.3 beta 3 installed over OO 3.2.1, same bug.
Comment 20 Noel Power 2010-11-22 01:29:51 UTC
Tor any chance you could try and reproduce this again, at least it seems this is windows only ( so I cheekily am assigning it to you )? meanwhile I will try to get a windows build here ( my first attempt at a libreoffice windows build ) and see if I can see anything useful
Comment 21 Don't use this account, use tml@iki.fi 2010-11-22 01:42:35 UTC
No need to talk about the crash-on-exit issue in this bug report. It is unrelated, has its own bug report, and already "fixed" (using a workaround).
Comment 22 Don't use this account, use tml@iki.fi 2010-11-22 01:56:55 UTC
Yes, I can reproduce the extreme slowness of the UI in beta 3 on XP. But not in a self-buit LO from the libreoffice-3-3 branch at around the same time.
Comment 23 Don't use this account, use tml@iki.fi 2010-11-22 04:23:24 UTC
The soffice.bin process is CPU bound during the time from the right-click to the context menu appears.
Comment 24 Don't use this account, use tml@iki.fi 2010-11-22 05:32:11 UTC
This seems to be related to the "PresenterScreen" extension, also known as "Presenter Console" and its help system. 

Now, firstly we of course shouldn't be involving the Presenter Console at all when just using Writer, for instance. Its DLL should not even be loaded ideally. I think Thorsten has some ideas how to fix that?

But even if that can't be fixed easily, even if the Presenter Console extension is loaded when using just Writer, surely it shouldn't be doing anything, but...

Process Monitor reveals that during the "hang" after the right-click before the context menu shows up, the soffice.bin process is doing thousands of file accesses to stuff under C:\Program Files\LibreOffice 3\share\extensions\presenter-screen\help . It seems to go through the help files in all languages... And as we build for Windows with --with-lang=ALL, that is a fair number of languages. And not just once but several times. What it is doing, no idea.

Because the number of directories involved is after all relatively small (just 330 folders in total under share\extensions\presenter-screen\help), it all gets cached by Windows so CPU is pegged, no disk waiting involved.
Comment 25 Don't use this account, use tml@iki.fi 2010-11-22 08:59:51 UTC
I have been looking (briefly) at the Presenter Console source code but can't really see any code in it that would iterate through the help files for the languages being built. Is the code doing that is not in the extension but in OOo/LO itself?
Comment 26 Don't use this account, use tml@iki.fi 2010-11-23 05:05:35 UTC
The code involved in the repeated iteration over the extension help files seems to be in desktop/source/deployment/registry/help . I see comments like "//iterate over the contents of the help folder". So now I know where to look.
Comment 27 Stefano Fraccaro 2010-11-23 05:51:52 UTC
*** Bug 31862 has been marked as a duplicate of this bug. ***
Comment 28 Stefano Fraccaro 2010-11-23 06:00:10 UTC
I have deleted all folders, except IT, from C":\Program Files\LibreOffice 3\share\extensions\presenter-screen\help" and context menu appear after 1 second (9 seconds before)... it's slow but very very faster than before  :-)
Comment 29 Stefano Fraccaro 2010-11-23 06:11:00 UTC
(In reply to comment #28)
> I have deleted all folders, except IT, from C":\Program Files\LibreOffice
> 3\share\extensions\presenter-screen\help" and context menu appear after 1
> second (9 seconds before)... it's slow but very very faster than before  :-)

Renaming C:\Program Files\LibreOffice\basis-link to "__basis-link__" resolved the problem at all, with menu and context menu. Basis-link contains only the text "BASIS"
Comment 30 Stefano Fraccaro 2010-11-23 06:14:57 UTC
(In reply to comment #29)
> (In reply to comment #28)
> > I have deleted all folders, except IT, from C":\Program Files\LibreOffice
> > 3\share\extensions\presenter-screen\help" and context menu appear after 1
> > second (9 seconds before)... it's slow but very very faster than before  :-)
> 
> Renaming C:\Program Files\LibreOffice\basis-link to "__basis-link__" resolved
> the problem at all, with menu and context menu. Basis-link contains only the
> text "BASIS"

Renaming the file fail application to start with Start Menu launcher... but renaming the file when application is already open resolve menu slowness. Any ideas?
Comment 31 Don't use this account, use tml@iki.fi 2010-11-23 07:56:49 UTC
The basis-link thing is just a red herring, ignore that. Removing that file will surely break various things in interesting ways.
Comment 32 Don't use this account, use tml@iki.fi 2010-11-23 08:01:26 UTC
After rebuilding various stuff with debug=true, here is a call stack from when LO is doing some mysrterious scans of directories after a right-click:

>	ucpfile1.dll!fileaccess::XResultSet_impl::OneMore()  Line 299	C++
 	ucpfile1.dll!fileaccess::XResultSet_impl::next()  Line 372 + 0xc bytes	C++
 	fileacc.dll!io_FileAccess::OFileAccess::getFolderContents(const rtl::OUString & FolderURL={...}, unsigned char bIncludeFolders='')  Line 560 + 0x1d bytes	C++
 	ucpchelp1.dll!chelp::ExtensionIteratorBase::implGetLanguageVectorFromPackage(_STL::vector<rtl::OUString,_STL::allocator<rtl::OUString> > & rv=0x0145e904 [empty], com::sun::star::uno::Reference<com::sun::star::deployment::XPackage> xPackage={...})  Line 1731 + 0x30 bytes	C++
 	ucpchelp1.dll!chelp::DataBaseIterator::implGetDbFromPackage(com::sun::star::uno::Reference<com::sun::star::deployment::XPackage> xPackage={...}, rtl::OUString * o_pExtensionPath=0x0145eaf0, rtl::OUString * o_pExtensionRegistryPath=0x0145eaec)  Line 1849	C++
 	ucpchelp1.dll!chelp::DataBaseIterator::nextDb(rtl::OUString * o_pExtensionPath=0x0145eaf0, rtl::OUString * o_pExtensionRegistryPath=0x0145eaec)  Line 1807 + 0x4c bytes	C++
 	ucpchelp1.dll!chelp::URLParameter::readBerkeley()  Line 311 + 0x16 bytes	C++
 	ucpchelp1.dll!chelp::URLParameter::get_the_tag()  Line 234	C++
 	ucpchelp1.dll!chelp::URLParameter::get_tag()  Line 169 + 0xc bytes	C++
 	ucpchelp1.dll!chelp::Content::getPropertyValues(const com::sun::star::uno::Sequence<com::sun::star::beans::Property> & rProperties=0x0145f0e0 {size=1})  Line 569 + 0x15 bytes	C++
 	ucpchelp1.dll!chelp::Content::execute(const com::sun::star::ucb::Command & aCommand={...}, long CommandId=1, const com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> & Environment={...})  Line 325 + 0x13 bytes	C++
 	ucbhelper4MSC.dll!01655bdc() 	
 	[Frames below may be incorrect and/or missing, no symbols loaded for ucbhelper4MSC.dll]	


The code in URLParameter::readBerkeley() looks interesting.
Comment 33 Don't use this account, use tml@iki.fi 2010-11-23 09:06:04 UTC
This bug *is* a blocker for the 3.3 realse, I think.
Comment 34 Don't use this account, use tml@iki.fi 2010-11-23 09:13:52 UTC
A bit more deeper stack trace:

>	ucpchelp1.dll!chelp::URLParameter::readBerkeley()  Line 315	C++
 	ucpchelp1.dll!chelp::URLParameter::get_the_tag()  Line 234	C++
 	ucpchelp1.dll!chelp::URLParameter::get_tag()  Line 169 + 0xc bytes	C++
 	ucpchelp1.dll!chelp::Content::getPropertyValues(const com::sun::star::uno::Sequence<com::sun::star::beans::Property> & rProperties=0x0145f044 {size=1})  Line 569 + 0x15 bytes	C++
 	ucpchelp1.dll!chelp::Content::execute(const com::sun::star::ucb::Command & aCommand={...}, long CommandId=1, const com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> & Environment={...})  Line 325 + 0x13 bytes	C++
 	ucbhelper4MSC.dll!ucbhelper::Content_Impl::executeCommand(const com::sun::star::ucb::Command & rCommand={...})  Line 1872 + 0x2c bytes	C++
 	ucbhelper4MSC.dll!ucbhelper::Content::getPropertyValuesInterface(const com::sun::star::uno::Sequence<rtl::OUString> & rPropertyNames=0x0145f294 {size=1})  Line 685 + 0x53 bytes	C++
 	ucbhelper4MSC.dll!ucbhelper::Content::getPropertyValues(const com::sun::star::uno::Sequence<rtl::OUString> & rPropertyNames=0x0145f294 {size=1})  Line 622 + 0x13 bytes	C++
 	ucbhelper4MSC.dll!ucbhelper::Content::getPropertyValue(const rtl::OUString & rPropertyName={...})  Line 572 + 0x13 bytes	C++
 	sfxmi.dll!01b928f6() 	
 	[Frames below may be incorrect and/or missing, no symbols loaded for sfxmi.dll]	

Unfortunately I couldn't get any deeper because replacing the sfxmi.dll from beta3 with a self-compiled one caused run-time dependency errors, because of ABI/API changes since beta3.

Anyway, it is quite amazing that a simple call to ::ucbhelper::Content::getPropertyValue() can cause eventually code to be run that scans through a bunch of directories looking for compiled help files. I *think* that I am fairly sure there is no unintended loop in the stack down to sfxmi.dll above, the looping must happen somewhere below. Maybe it even is intentional, something that looks innocent is done in a timeout thread every 100 ms or something (like a cursor blink? nah now I am just being mean) that causes all this to happen?
Comment 35 Don't use this account, use tml@iki.fi 2010-11-23 11:56:54 UTC
OK, so here is a slightly better call stack:

>	ucpchelp1.dll!chelp::DataBaseIterator::implGetDbFromPackage(com::sun::star::uno::Reference<com::sun::star::deployment::XPackage> xPackage={...}, rtl::OUString * o_pExtensionPath=0x0127ea54, rtl::OUString * o_pExtensionRegistryPath=0x0127ea50)  Line 1824	C++
 	ucpchelp1.dll!chelp::DataBaseIterator::nextDb(rtl::OUString * o_pExtensionPath=0x0127ea54, rtl::OUString * o_pExtensionRegistryPath=0x0127ea50)  Line 1807 + 0x4c bytes	C++
 	ucpchelp1.dll!chelp::URLParameter::readBerkeley()  Line 311 + 0x16 bytes	C++
 	ucpchelp1.dll!chelp::URLParameter::get_the_tag()  Line 234	C++
 	ucpchelp1.dll!chelp::URLParameter::get_tag()  Line 169 + 0xc bytes	C++
 	ucpchelp1.dll!chelp::Content::getPropertyValues(const com::sun::star::uno::Sequence<com::sun::star::beans::Property> & rProperties=0x0127f044 {size=1})  Line 569 + 0x15 bytes	C++
 	ucpchelp1.dll!chelp::Content::execute(const com::sun::star::ucb::Command & aCommand={...}, long CommandId=1, const com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> & Environment={...})  Line 325 + 0x13 bytes	C++
 	ucbhelper4MSC.dll!ucbhelper::Content_Impl::executeCommand(const com::sun::star::ucb::Command & rCommand={...})  Line 1872 + 0x2c bytes	C++
 	ucbhelper4MSC.dll!ucbhelper::Content::getPropertyValuesInterface(const com::sun::star::uno::Sequence<rtl::OUString> & rPropertyNames=0x0127f294 {size=1})  Line 685 + 0x53 bytes	C++
 	ucbhelper4MSC.dll!ucbhelper::Content::getPropertyValues(const com::sun::star::uno::Sequence<rtl::OUString> & rPropertyNames=0x0127f294 {size=1})  Line 622 + 0x13 bytes	C++
 	ucbhelper4MSC.dll!ucbhelper::Content::getPropertyValue(const rtl::OUString & rPropertyName={...})  Line 572 + 0x13 bytes	C++
 	sfxmi.dll!GetHelpAnchor_Impl(const String & _rURL={...}, String & _rAnchor={...})  Line 185 + 0x3e bytes	C++
 	sfxmi.dll!SfxHelp::CreateHelpURL_Impl(unsigned long nHelpId=21836, const String & rModuleName={...})  Line 618 + 0xd bytes	C++
 	sfxmi.dll!SfxHelp::CreateHelpURL(unsigned long nHelpId=21836, const String & rModuleName={...})  Line 924 + 0x14 bytes	C++
 	sfxmi.dll!SfxHelp_Impl::GetHelpText(unsigned long nHelpId=21836, const String & rModule={...})  Line 357 + 0x11 bytes	C++
 	sfxmi.dll!SfxHelp::GetHelpText(unsigned long nHelpId=21836, const Window * pWindow=0x00000000)  Line 864 + 0x17 bytes	C++
 	vclmi.dll!Menu::ImplGetHelpText()  + 0xbf bytes	C++
 	sfxmi.dll!SfxVirtualMenu::CreateFromSVMenu()  + 0x2f3 bytes	C++
 	sfxmi.dll!SfxVirtualMenu::SfxVirtualMenu()  + 0x73 bytes	C++
 	sfxmi.dll!SfxMenuManager::SfxMenuManager()  + 0x48 bytes	C++
 	sfxmi.dll!SfxPopupMenuManager::SfxPopupMenuManager()  + 0x1d bytes	C++
 	sfxmi.dll!SfxPopupMenuManager::ExecutePopup()  + 0x25a bytes	C++
 	sfxmi.dll!SfxDispatcher::ExecutePopup()  + 0x142 bytes	C++
 	swmi.dll!SwEditWin::Command()  + 0x92a bytes	C++
 	vclmi.dll!ImplCallEvent()  + 0x3f0 bytes	C++
 	vclmi.dll!ImplHandleMouseEvent()  + 0xd09 bytes	C++
 	vclmi.dll!ImplHandleSalMouseButtonDown()  + 0x3a bytes	C++
 	vclmi.dll!ImplWindowFrameProc()  + 0x8c bytes	C++
 	vclmi.dll!SalFrame::CallCallback()  + 0x16 bytes	C++
 	vclmi.dll!WinSalFrame::EndSetClipRegion()  + 0x3b4 bytes	C++
 	vclmi.dll!SalFrameWndProc()  + 0x738 bytes	C++
 	vclmi.dll!SalFrameWndProcW()  + 0x30 bytes	C++
 	user32.dll!7e368734() 	
 	[Frames below may be incorrect and/or missing, no symbols loaded for user32.dll]
Comment 36 Don't use this account, use tml@iki.fi 2010-11-29 03:50:42 UTC
Debugging a fresh build of the libreoffice-3-3 branch, the problem seems to be still there. In a free-running LibreOffice (i.e. when not debugging) I don't see the symptom as extremely as in the "full" build as I only built with three languages, but still in the debugger I do see the same methods being hit when right-clicking as in my previous comment. So likely the end effect in a build with lots of languages will be the same: A long delay. Or not. Hard to say.
Comment 37 Don't use this account, use tml@iki.fi 2010-11-30 05:34:11 UTC
I verified that if in a Beta 3 install on XP, by renaming the share\extensions\presenter-screen\help folder to share\extensions\presenter-screen\help.bak, the time to show the right-click menu in Writer drops from ~12 seconds to ~1 second

I committed a stopgap fix which does not fix the core problem, whatever it is, at all, but just causes only the en-US help for extensions to be generated, thus making the hang shorter...
Comment 38 AdamB. 2010-11-30 11:47:07 UTC
@Tor Lillqvist

Thanks for advice - I rename folder and LO speed up to LO 3.3.0 Beta 2 and now it's usable.
Comment 39 Don't use this account, use tml@iki.fi 2010-12-02 05:56:16 UTC
Removing the blocker status now with the silly workaround in place.
Comment 40 Jean 2010-12-06 00:57:22 UTC
Workaround tested on RC1 : usable on calc, draw ; way better, but still too long on writer.
Additional question : I'd like to remove all the lang-specific non-french extensions, and it's impossible in the extension manager. Perhaps a good new feature idea ?
Comment 41 Stefano Fraccaro 2010-12-06 01:00:11 UTC
(In reply to comment #40)
> Workaround tested on RC1 : usable on calc, draw ; way better, but still too
> long on writer.
> Additional question : I'd like to remove all the lang-specific non-french
> extensions, and it's impossible in the extension manager. Perhaps a good new
> feature idea ?

way better but still to long     +1
remove extension from extension manager     +1
Comment 42 Cesare Leonardi 2010-12-06 09:51:32 UTC
I confirm what the others as already commented: Calc context menu respond in about a second (read: not so fast), but under Writer it's yet too slow. Seems faster that before, but IMHO 5 seconds to wait for the context menu are really too much to be considered usable.

Tested under Win2000 SP4.

Cesare.
Comment 43 Stefano Fraccaro 2010-12-07 00:37:53 UTC
Try:
1: Create folder "C:\Program Files\LibreOffice 3\Basis\Help\en"
2: Delete folder "C:\Program Files\LibreOffice 3\share\extension\dict-hu\help"

In my case problem seems resolved. Can other confirm?
Comment 44 Stefano Fraccaro 2010-12-07 00:54:33 UTC
Other test. Deleting row

<manifest:file-entry manifest:media-type="application/vnd.sun.star.help"
    manifest:full-path="help"/>

on files
 
* C:\Program Files\LibreOffice 3\share\extension\dict-hu\META-INF\manifest.xml
* C:\Program Files\LibreOffice 3\share\extension\presenter-screen\META-INF\manifest.xml 

reduce disk i/o from 20.000 call to 3.
It's normal?
Comment 45 Don't use this account, use tml@iki.fi 2010-12-07 03:57:16 UTC
If you consider what "normal" actually means, then yes, it is normal. In the sense that everybody is seeing it. But that doesn't mean it is as intended or desirable, of course.
Comment 46 David Tardon 2010-12-12 01:14:49 UTC
Created attachment 41024 [details]
possible fix

According to my investigations, the help text passed to SfxMenuControl is never used for anything. So what if we just pass an empty string into it?
Comment 47 Don't use this account, use tml@iki.fi 2010-12-13 04:30:55 UTC
Nice small patch, it would be great if this indeed helps.

How certain are you that this has no unintended bad consequences? When I look at the first hunk in your patch, to me it seems that the sHelpText gets passed to SfxMenuControl::Bind() where it then is assigned to the aHelpText member, and aHelpText definitely is used in the code in various places (just quickly grepping). Of course I can't be sure if any of those uses actually result in something shown to the user, or are just unnecessary fluff...

I suggest passing in something intentionally incorrect (like the string "***This should never be seen, see fdo#31716***" to make sure that it is more noticeable it is does get used anyway... or even an intentionally bogus pointer to make sure we get a crash?

Of course, if these help text parameters to various methods, corresponding members etc truly are unused, we should just drop them then, right?
Comment 48 David Tardon 2010-12-13 08:57:10 UTC
> How certain are you that this has no unintended bad consequences? When I look
> at the first hunk in your patch, to me it seems that the sHelpText gets passed
> to SfxMenuControl::Bind() where it then is assigned to the aHelpText member,
> and aHelpText definitely is used in the code in various places (just quickly
> grepping). Of course I can't be sure if any of those uses actually result in
> something shown to the user, or are just unnecessary fluff...

I removed SfxMenuControl::GetHelpText and SfxVirtualMenu::GetItemHelpText (that uses it) and run a build, without any problem. So I'm reasonably sure that it is not used :)

> Of course, if these help text parameters to various methods, corresponding
> members etc truly are unused, we should just drop them then, right?

Yeah, but I wanted to ask on the ML first--maybe someone remembers it should be used for something or other...
Comment 49 Don't use this account, use tml@iki.fi 2010-12-14 02:42:46 UTC
When dtardon's fix has been committed, we should revert the commits 84d74bd6e241e527335ae9ee6353090e7db03cac in bootstrap and c2a7a6c055cf586b627268d38fd85cde2048db3d in extensions.
Comment 51 Don't use this account, use tml@iki.fi 2010-12-15 07:43:03 UTC
*** Bug 32412 has been marked as a duplicate of this bug. ***
Comment 52 Björn Michaelsen 2011-12-23 13:23:38 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.